/* ========================================================================
 * Copyright (c) 2011 The University of Washington
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 * ========================================================================
 */

/* GWS crypt */

#define GWS_ENCRYPT 1  /* EVP library conventions */
#define GWS_DECRYPT 0

void gws_crypt_seed();
int  gws_crypt_init(char *key, int keyl); 
int  gws_crypt(int mode, char **out, int *outlen, char *in, int inlen); 
int gws_data_to_b64(char **out, int *outlen, char *in, int inlen);
int gws_b64_to_data(char **out, int *outlen, char *in, int inlen);
u_int gws_crypt_hash(char *str);

