/* ========================================================================
 * Copyright (c) 2011 The University of Washington
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 * ========================================================================
 */

/* gwslib definitions */

#include <sys/types.h>
#include <curl/curl.h>

/* ---- gws defaults */

/* server hostname */
#define UWA_GWS_URL         "https://iam-tools.u.washington.edu/group_sws/v1/"


/* interfaces  */

GWSConfig *gwslib_getconfig();

int gwslib_curl_init();
int gwslib_is_member(GWSConfig *cfg, char *id, char *group, char *actas);

